package com.calibre.webserver.file;

import java.nio.MappedByteBuffer;

/**
 * Represents a file response.
 * @author Tommo
 *
 */
public class FileResponse {
	
	/**
	 * The {@link FileType}.
	 */
	private FileType type;
	
	/**
	 * The file buffer.
	 */
	private MappedByteBuffer buffer;

	/**
	 * Constructs a new file response.
	 * @param type The file type.
	 * @param buffer The file buffer.
	 */
	public FileResponse(FileType type, MappedByteBuffer buffer) {
		this.type = type;
		this.buffer = buffer;
	}
	
	/**
	 * Gets the file type.
	 * @return The {@link FileType}.
	 */
	public FileType getType() {
		return type;
	}
	
	/**
	 * Gets the file buffer.
	 * @return The {@link MappedByteBuffer} of the file.
	 */
	public MappedByteBuffer getBuffer() {
		return buffer;
	}
}
