package com.calibre.webserver.net.response;

import org.jboss.netty.buffer.ChannelBuffer;
import org.jboss.netty.buffer.ChannelBuffers;
import org.jboss.netty.handler.codec.http.DefaultHttpResponse;
import org.jboss.netty.handler.codec.http.HttpHeaders;
import org.jboss.netty.handler.codec.http.HttpResponse;
import org.jboss.netty.handler.codec.http.HttpResponseStatus;

import com.calibre.webserver.Config;
import com.calibre.webserver.file.FileResponse;

/**
 * Static methods used to build {@link HttpResponse}'s.
 * @author Tommo
 *
 */
public class ResponseBuilder {
	
	public static HttpResponse buildFileResponse(FileResponse file) {
		HttpResponse response = new DefaultHttpResponse(Config.HTTP_VERSION, HttpResponseStatus.OK);
		
		ChannelBuffer buffer = ChannelBuffers.copiedBuffer(file.getBuffer());
		response.setHeader(HttpHeaders.Names.CONTENT_TYPE, file.getType().toString() + "; charset=UTF-8");
		
		response.setContent(buffer);
		return response;
	}

}
